%global makeflags VERSION=%{version} PREFIX=%{_prefix} SYSCONFDIR=%{_sysconfdir} SYSTEMDUNITDIR=%{_unitdir}

Name: earlyoom
Version: 1.8.2
Release: %mkrel 1

License: MIT
URL: https://github.com/rfjakob/%{name}
Summary: Early OOM Daemon for Linux
Group:   System/Kernel and hardware
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: %{name}.conf

%{?systemd_requires}
BuildRequires: systemd
#BuildRequires: pandoc
BuildRequires: gcc
BuildRequires: make

%description
User-space OOM killer daemon that can avoid the system going into the
unresponsive state. It checks the amount of available memory and
free swap up to 10 times a second (less often if there is a lot of free
memory) and kills the largest processes with the highest oom_score.

Percentages are configured through the configuration file.

%prep
%autosetup -p1
cp -f %{SOURCE1} %{name}.default
sed -e '/systemctl/d' -i Makefile

%build
%set_build_flags
%make_build %{makeflags}

%install
%make_install %{makeflags}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
#{_mandir}/man1/%%{name}.*
%config(noreplace) %{_sysconfdir}/default/%{name}



%changelog
* Sun Dec 01 2024 daviddavid <daviddavid> 1.8.2-1.mga10
+ Revision: 2120473
- new version: 1.8.2

* Thu Mar 24 2022 umeabot <umeabot> 1.7-2.mga9
+ Revision: 1825149
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 tv <tv> 1.7-1.mga9
+ Revision: 1789445
- Updated to version 1.7

* Fri Feb 04 2022 tv <tv> 1.6.2-3.mga9
+ Revision: 1771396
- Extracted configuration file to earlyoom.conf.
- Adjusted priority of "Isolated Web Co" (firefox with fission)

* Wed Mar 10 2021 tv <tv> 1.6.2-2.mga9
+ Revision: 1700963
- update description
- Avoid cryptsetup processes (rhbz#1839863)

* Fri Oct 16 2020 tv <tv> 1.6.2-1.mga8
+ Revision: 1636379
- 1.6.2

* Thu Jul 09 2020 tv <tv> 1.6.1-1.mga8
+ Revision: 1603493
- 1.6.1

* Sat Apr 11 2020 tv <tv> 1.6-1.mga8
+ Revision: 1566446
- 1.6

* Sun Apr 05 2020 tv <tv> 1.5-2.mga8
+ Revision: 1564903
- 1.5

* Wed Feb 19 2020 umeabot <umeabot> 1.3-2.mga8
+ Revision: 1542533
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 tv <tv> 1.3-1.mga8
+ Revision: 1476498
- imported package earlyoom


* Sat Jan 04 2020 Thierry Vignaud <tv@mageia.org> 1.3-3.mga8
- import from FC
